/* H. Li - November 9, 2015 */


#include "mex.h"
#include "matrix.h"
#include <math.h>

#include "multiresolution1d.c"

/* stat = mrLinearStat1d_mex(u, st, ed, weights, scalePenalties) */
void mexFunction(int nlhs, mxArray *plhs[], int nrhs, const mxArray *prhs[])
{
    /* input */
    const double *u              = mxGetPr(prhs[0]);
    const int     n              = mxGetM(prhs[0]);
    const double *st             = mxGetPr(prhs[1]);
    const double *ed             = mxGetPr(prhs[2]);
    const int     nInterval      = mxGetM(prhs[1]);
    const double *weights        = mxGetPr(prhs[3]);
    const double *scalePenalties = mxGetPr(prhs[4]);
    
    double stat = mrLinearStat1d(u, n, st, ed, nInterval, weights, scalePenalties);
    
    /* return value */
    plhs[0] = mxCreateDoubleScalar(stat);
}