/* H. Li - November 9, 2015 */

int sgn(double a) { return (a == 0) ? 0 : (a < 0 ? -1 : 1); }

/* ---------- multiresolution linear statistics */
double mrLinearStat1d(const double *u, int n,                            /* data */
                      const double *li, const double *ri, int nInterval, /* system of intervals */
                      const double *weights,                             /* weights */
                      const double *scalePenalties)                      /* scale penalties */
{
    /* cumulative sum */
    double *cs = (double *)mxMalloc((n+1)*sizeof(double));
    cs[0] = 0.;
    for (int i = 0; i < n; ++i) {
        cs[i+1] = u[i] + cs[i];
    }
    
    /* compute statistic */
    double stat = -INFINITY;
    double SumInterval; /* sum on each interval */
    for (int k = 0; k < nInterval; ++k) {
        SumInterval = cs[(int)ri[k]+1] - cs[(int)li[k]];
        stat        = fmax(stat, fabs(SumInterval)/weights[k] - scalePenalties[k]);
    }
    
    mxFree(cs);
    
    return stat;
}