/* H. Li - September 30, 2015 */


#include "mex.h"
#include "matrix.h"
#include <math.h>

#include "multiresolution2d.c"

/* stat = mrLinearStat2d_mex(u, st, ed, weights, scalePenalties) */
void mexFunction(int nlhs, mxArray *plhs[], int nrhs, const mxArray *prhs[])
{
    /* input */
    const double *u              = mxGetPr(prhs[0]);
    const int     m              = mxGetM(prhs[0]);
    const int     n              = mxGetN(prhs[0]);
    const double *st             = mxGetPr(prhs[1]);
    const double *ed             = mxGetPr(prhs[2]);
    const int     nCube          = mxGetM(prhs[1]);
    const double *weights        = mxGetPr(prhs[3]);
    const double *scalePenalties = mxGetPr(prhs[4]);
    
    double stat = mrLinearStat2d(u, m, n, st, ed, nCube, weights, scalePenalties);
    
    /* return value */
    plhs[0] = mxCreateDoubleScalar(stat);
}