function [ w ] = computeWeights( sz, cube, K )
%COMPUTEWEIGHTS Compute weights for balancing different scales for (K' xi)
%with xi standard normal distributed, K the forward operator
%   w = computeWeights(sz, cube, K)

% Housen Li @ MPIbpc
% 08.10.2015 create the code


tic;
fprintf('Compute weights ...\n');
nCube = length(cube.st);
w     = ones(nCube, 1);
for i = 1:nCube
 indCube = zeros(sz);
 indCube(cube.st(i,1):cube.ed(i,1), cube.st(i,2):cube.ed(i,2)) = 1;
 Kcube = K(indCube);
 w(i)  = norm(Kcube, 'fro');
end
fprintf('elapse %g s\n', toc);

