function [ ndf ] = l2norm_der_fd(f, k)
%L2NORM_DER_FD Compute L2-norm of k-th derivative of f (vector) using
%finite differences
%   ndf = l2norm_der_fd(f, k)

% Housen Li @ MPIbpc 
% 18.01.2015 create the code

f = f(:); 
n = numel(f);

D      = spdiags([ones(n,1),-ones(n,1)],[0,-1],n,n);
D(1,n) = -1;

for i = 1:k
    f   = n * D * f;
end

ndf = norm(f, 2)/sqrt(n);

end

