function [ Rm, rsz ] = matrixRadon( sz )
%MATRIXRADON Build the matrix of Radon transform
%   Input:
%      sz  a two-dimensional vector
%   Output:
%      Rm  a matrix of Radon transform
%      rsz a two-dimensional vector specifying size of Radon transform

% Housen Li @ MPIbpc 
% 25.08.2015 create the code

fprintf('Build Radon matrix ...\n'); tic;
rsz = size(radon(zeros(sz)));
Rm  = zeros(prod(rsz), prod(sz));
for i = 1:prod(sz)
    im      = zeros(sz);
    im(i)   = 1;
    rim     = radon(im);
    Rm(:,i) = rim(:);
end
Rm = sparse(Rm);
fprintf('Elapse %g s\n', toc);

