function y = nbspline(x, m, i, N)
% compute normalized B-spline basis

% Housen Li @ MPIbpc
% 06.02.2015 create the code

sz = size(x);
x  = x(:);
n  = length(x);
Q  = zeros(n, m); 

x  = mod(x-i/N, 1);
for i = 1:m
	Q(:,i) = (x >= (i-1)/N-eps) & (x < i/N-eps);
end

for i = 2:m
	for j = 1:(m-i+1)
		Q(:,j) = (Q(:,j) .* (x - (j-1)/N) + Q(:,j+1) .* ((j+i-1)/N - x)).*(N/(i-1));
	end
end

y = reshape(Q(:,1), sz);

end