function [ intval ] = scale2intval(scl, n)
%SCALE2INTVAL Generate interal system by specified scales 
%   intval = scale2intval(scl, n)

% Housen Li @ MPIbpc
% 31.01.2015 create the code

ni = sum(n - scl + 1);

intval.li = zeros(ni,1);
intval.ri = zeros(ni,1);

cnt = 1;
for s = scl(:)'
    intval.li(cnt:(cnt+n-s)) = 1:(n-s+1);
    intval.ri(cnt:(cnt+n-s)) = s:n;
    cnt = cnt + n - s + 1;
end

end

